
Redmine - Feature #2761

Factorize user name in /repository/statistics

2009-02-16 13:35 - Max B.

Status: Closed Start date: 2009-02-16

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Hi,

Is it possible to factorize author name if there a user have multiple.

We have this problem when committing:

Author:

user1@laptop

user1@desktop

user1@office

user2@laptop

user2@desktop

...

And we like to set multiple alias (author name) for a Redmine user name.

Then when we looking at the statistics we have the real stats for the Redmine user.

Thanks a lot.

Related issues:

Related to Redmine - Defect #13487: Honor committer => user mapping in reposi... Closed

History

#1 - 2009-04-09 17:52 - Derek Montgomery

Duplicate of #2624

#2 - 2014-08-26 19:48 - Jean-Baptiste Barth

- Category changed from Accounts / authentication to SCM

- Status changed from New to Closed

- Assignee set to Jean-Baptiste Barth

- Resolution set to Wont fix

This could be easily achieved with the committers<->users mapping introduced a while ago, which should be honnored in statistics as soon as 

#13487 lands (probably with Redmine 2.6.0). I know it's a bit manual but nothing forbid a scrpiting layer above.

Anyway, this problem seems too specific to be integrated as is in the core, so I close this issue, but you can re-open it if you strongly disagree and I'll

be happy to discuss that with you.

EDIT: and of course sorry for replying that late to this issue... Redmine is a big project and few people actually do the needed triage work.
